package com.eurodyn.ecdp.taric.validation.rules;

import gr.eurodyn.isee.rule.RuleExecutionResult;
import com.eurodyn.ecdp.taric.validation.utils.*;
import com.eurodyn.ecdp.taric.validation.implementation.*;
import java.util.List;
 import com.eurodyn.ecdp.taric.services.MeasureConditionCompService;
           import com.eurodyn.ecdp.taric.hyperjaxb.entities.Certificate;
          

/**
  * <p>
  * @version $Revision$
  * $Id$
  */
public class CE5 extends WrapperRule {

     @Override
     public RuleExecutionResult fire() {
          MeasureConditionCompService varMeasureConditionCompService = null;
         Certificate varCertificate = null;
        
         boolean hasParams = true;
         for (Object o : this.getRp().getBagOfObjects()) {
            
             if (o instanceof MeasureConditionCompService) {
                 varMeasureConditionCompService = (MeasureConditionCompService) o;
             }
              
             if (o instanceof Certificate) {
                 varCertificate = (Certificate) o;
             }
             
         }
          hasParams = hasParams && (varMeasureConditionCompService == null);
         hasParams = hasParams && (varCertificate == null);
        
         if (!hasParams) {
           return null;
         }

         RuleExecutionResult rer = new RuleExecutionResult();
         try {
           CE5_impl rule_CE5 = new CE5_impl();
           rer = rule_CE5.evaluate(varMeasureConditionCompService,varCertificate);
         } catch (Exception e) {
           rer.setRuleSatisfied(false);
           Logger.getLogger(CE5.class.getName()).log(Level.SEVERE, null, e);
         } catch (Throwable t) {
           rer.setRuleSatisfied(false);
           Logger.getLogger(CE5.class.getName()).log(Level.SEVERE, null, t);
         }
        
         }
         return rer;
     }
}
