package com.eurodyn.ecdp.taric.validation.rules;

import gr.eurodyn.isee.rule.RuleExecutionResult;
import com.eurodyn.ecdp.taric.validation.utils.*;
import com.eurodyn.ecdp.taric.validation.implementation.*;
import java.util.List;
 import com.eurodyn.ecdp.taric.services.CertificateService;
           import com.eurodyn.ecdp.taric.hyperjaxb.entities.CertificateTypeSevice;
           import com.eurodyn.ecdp.taric.hyperjaxb.entities.CertificateType;
          

/**
  * <p>
  * @version $Revision$
  * $Id$
  */
public class CET2 extends WrapperRule {

     @Override
     public RuleExecutionResult fire() {
          CertificateService varCertificateService = null;
         CertificateTypeSevice varCertificateTypeSevice = null;
         CertificateType varCertificateType = null;
        
         boolean hasParams = true;
         for (Object o : this.getRp().getBagOfObjects()) {
            
             if (o instanceof CertificateService) {
                 varCertificateService = (CertificateService) o;
             }
              
             if (o instanceof CertificateTypeSevice) {
                 varCertificateTypeSevice = (CertificateTypeSevice) o;
             }
              
             if (o instanceof CertificateType) {
                 varCertificateType = (CertificateType) o;
             }
             
         }
          hasParams = hasParams && (varCertificateService == null);
         hasParams = hasParams && (varCertificateTypeSevice == null);
         hasParams = hasParams && (varCertificateType == null);
        
         if (!hasParams) {
           return null;
         }

         RuleExecutionResult rer = new RuleExecutionResult();
         try {
           CET2_impl rule_CET2 = new CET2_impl();
           rer = rule_CET2.evaluate(varCertificateService,varCertificateTypeSevice,varCertificateType);
         } catch (Exception e) {
           rer.setRuleSatisfied(false);
           Logger.getLogger(CET2.class.getName()).log(Level.SEVERE, null, e);
         } catch (Throwable t) {
           rer.setRuleSatisfied(false);
           Logger.getLogger(CET2.class.getName()).log(Level.SEVERE, null, t);
         }
        
         }
         return rer;
     }
}
