package com.eurodyn.ecdp.taric.validation.rules;

import gr.eurodyn.isee.rule.RuleExecutionResult;
import com.eurodyn.ecdp.taric.validation.utils.*;
import com.eurodyn.ecdp.taric.validation.implementation.*;
import java.util.List;
 import com.eurodyn.ecdp.taric.hyperjaxb.entities.TODO;
          

/**
  * <p>
  * @version $Revision$
  * $Id$
  */
public class CT6 extends WrapperRule {

     @Override
     public RuleExecutionResult fire() {
          TODO varTODO = null;
        
         boolean hasParams = true;
         for (Object o : this.getRp().getBagOfObjects()) {
            
             if (o instanceof TODO) {
                 varTODO = (TODO) o;
             }
             
         }
          hasParams = hasParams && (varTODO == null);
        
         if (!hasParams) {
           return null;
         }

         RuleExecutionResult rer = new RuleExecutionResult();
         try {
           CT6_impl rule_CT6 = new CT6_impl();
           rer = rule_CT6.evaluate(varTODO);
         } catch (Exception e) {
           rer.setRuleSatisfied(false);
           Logger.getLogger(CT6.class.getName()).log(Level.SEVERE, null, e);
         } catch (Throwable t) {
           rer.setRuleSatisfied(false);
           Logger.getLogger(CT6.class.getName()).log(Level.SEVERE, null, t);
         }
        
         }
         return rer;
     }
}
