package com.eurodyn.ecdp.taric.validation.rules;

import gr.eurodyn.isee.rule.RuleExecutionResult;
import com.eurodyn.ecdp.taric.validation.utils.*;
import com.eurodyn.ecdp.taric.validation.implementation.*;
import java.util.List;
 import com.eurodyn.ecdp.taric.services.DutyExpressionService;
           import com.eurodyn.ecdp.taric.hyperjaxb.entities.DutyExpression;
          

/**
  * <p>
  * @version $Revision$
  * $Id$
  */
public class DE1 extends WrapperRule {

     @Override
     public RuleExecutionResult fire() {
          DutyExpressionService varDutyExpressionService = null;
         DutyExpression varDutyExpression = null;
        
         boolean hasParams = true;
         for (Object o : this.getRp().getBagOfObjects()) {
            
             if (o instanceof DutyExpressionService) {
                 varDutyExpressionService = (DutyExpressionService) o;
             }
              
             if (o instanceof DutyExpression) {
                 varDutyExpression = (DutyExpression) o;
             }
             
         }
          hasParams = hasParams && (varDutyExpressionService == null);
         hasParams = hasParams && (varDutyExpression == null);
        
         if (!hasParams) {
           return null;
         }

         RuleExecutionResult rer = new RuleExecutionResult();
         try {
           DE1_impl rule_DE1 = new DE1_impl();
           rer = rule_DE1.evaluate(varDutyExpressionService,varDutyExpression);
         } catch (Exception e) {
           rer.setRuleSatisfied(false);
           Logger.getLogger(DE1.class.getName()).log(Level.SEVERE, null, e);
         } catch (Throwable t) {
           rer.setRuleSatisfied(false);
           Logger.getLogger(DE1.class.getName()).log(Level.SEVERE, null, t);
         }
        
         }
         return rer;
     }
}
