package com.eurodyn.ecdp.taric.validation.rules;

import gr.eurodyn.isee.rule.RuleExecutionResult;
import com.eurodyn.ecdp.taric.validation.utils.*;
import com.eurodyn.ecdp.taric.validation.implementation.*;
import java.util.List;
 import com.eurodyn.ecdp.taric.hyperjaxb.entities.Footnote;
          

/**
  * <p>
  * @version $Revision$
  * $Id$
  */
public class FO3 extends WrapperRule {

     @Override
     public RuleExecutionResult fire() {
          Footnote varFootnote = null;
        
         boolean hasParams = true;
         for (Object o : this.getRp().getBagOfObjects()) {
            
             if (o instanceof Footnote) {
                 varFootnote = (Footnote) o;
             }
             
         }
          hasParams = hasParams && (varFootnote == null);
        
         if (!hasParams) {
           return null;
         }

         RuleExecutionResult rer = new RuleExecutionResult();
         try {
           FO3_impl rule_FO3 = new FO3_impl();
           rer = rule_FO3.evaluate(varFootnote);
         } catch (Exception e) {
           rer.setRuleSatisfied(false);
           Logger.getLogger(FO3.class.getName()).log(Level.SEVERE, null, e);
         } catch (Throwable t) {
           rer.setRuleSatisfied(false);
           Logger.getLogger(FO3.class.getName()).log(Level.SEVERE, null, t);
         }
        
         }
         return rer;
     }
}
