package com.eurodyn.ecdp.taric.validation.rules;

import gr.eurodyn.isee.rule.RuleExecutionResult;
import com.eurodyn.ecdp.taric.validation.utils.*;
import com.eurodyn.ecdp.taric.validation.implementation.*;
import java.util.List;
 import com.eurodyn.ecdp.taric.services.FootNoteService;
           import com.eurodyn.ecdp.taric.services.FootnoteTypeService;
           import com.eurodyn.ecdp.taric.hyperjaxb.entities.FootnoteType;
          

/**
  * <p>
  * @version $Revision$
  * $Id$
  */
public class FOT2 extends WrapperRule {

     @Override
     public RuleExecutionResult fire() {
          FootNoteService varFootNoteService = null;
         FootnoteTypeService varFootnoteTypeService = null;
         FootnoteType varFootnoteType = null;
        
         boolean hasParams = true;
         for (Object o : this.getRp().getBagOfObjects()) {
            
             if (o instanceof FootNoteService) {
                 varFootNoteService = (FootNoteService) o;
             }
              
             if (o instanceof FootnoteTypeService) {
                 varFootnoteTypeService = (FootnoteTypeService) o;
             }
              
             if (o instanceof FootnoteType) {
                 varFootnoteType = (FootnoteType) o;
             }
             
         }
          hasParams = hasParams && (varFootNoteService == null);
         hasParams = hasParams && (varFootnoteTypeService == null);
         hasParams = hasParams && (varFootnoteType == null);
        
         if (!hasParams) {
           return null;
         }

         RuleExecutionResult rer = new RuleExecutionResult();
         try {
           FOT2_impl rule_FOT2 = new FOT2_impl();
           rer = rule_FOT2.evaluate(varFootNoteService,varFootnoteTypeService,varFootnoteType);
         } catch (Exception e) {
           rer.setRuleSatisfied(false);
           Logger.getLogger(FOT2.class.getName()).log(Level.SEVERE, null, e);
         } catch (Throwable t) {
           rer.setRuleSatisfied(false);
           Logger.getLogger(FOT2.class.getName()).log(Level.SEVERE, null, t);
         }
        
         }
         return rer;
     }
}
