package com.eurodyn.ecdp.taric.validation.rules;

import gr.eurodyn.isee.rule.RuleExecutionResult;
import com.eurodyn.ecdp.taric.validation.utils.*;
import com.eurodyn.ecdp.taric.validation.implementation.*;
import java.util.List;
 import com.eurodyn.ecdp.taric.services.LanguageService;
           import com.eurodyn.ecdp.taric.hyperjaxb.entities.Language;
          

/**
  * <p>
  * @version $Revision$
  * $Id$
  */
public class LA1 extends WrapperRule {

     @Override
     public RuleExecutionResult fire() {
          LanguageService varLanguageService = null;
         Language varLanguage = null;
        
         boolean hasParams = true;
         for (Object o : this.getRp().getBagOfObjects()) {
            
             if (o instanceof LanguageService) {
                 varLanguageService = (LanguageService) o;
             }
              
             if (o instanceof Language) {
                 varLanguage = (Language) o;
             }
             
         }
          hasParams = hasParams && (varLanguageService == null);
         hasParams = hasParams && (varLanguage == null);
        
         if (!hasParams) {
           return null;
         }

         RuleExecutionResult rer = new RuleExecutionResult();
         try {
           LA1_impl rule_LA1 = new LA1_impl();
           rer = rule_LA1.evaluate(varLanguageService,varLanguage);
         } catch (Exception e) {
           rer.setRuleSatisfied(false);
           Logger.getLogger(LA1.class.getName()).log(Level.SEVERE, null, e);
         } catch (Throwable t) {
           rer.setRuleSatisfied(false);
           Logger.getLogger(LA1.class.getName()).log(Level.SEVERE, null, t);
         }
        
         }
         return rer;
     }
}
