package com.eurodyn.ecdp.taric.validation.rules;

import gr.eurodyn.isee.rule.RuleExecutionResult;
import com.eurodyn.ecdp.taric.validation.utils.*;
import com.eurodyn.ecdp.taric.validation.implementation.*;
import java.util.List;
 import com.eurodyn.ecdp.taric.services.MeasurementUnitQualService;
           import com.eurodyn.ecdp.taric.hyperjaxb.entities.Measurement;
          

/**
  * <p>
  * @version $Revision$
  * $Id$
  */
public class MENT3 extends WrapperRule {

     @Override
     public RuleExecutionResult fire() {
          MeasurementUnitQualService varMeasurementUnitQualService = null;
         Measurement varMeasurement = null;
        
         boolean hasParams = true;
         for (Object o : this.getRp().getBagOfObjects()) {
            
             if (o instanceof MeasurementUnitQualService) {
                 varMeasurementUnitQualService = (MeasurementUnitQualService) o;
             }
              
             if (o instanceof Measurement) {
                 varMeasurement = (Measurement) o;
             }
             
         }
          hasParams = hasParams && (varMeasurementUnitQualService == null);
         hasParams = hasParams && (varMeasurement == null);
        
         if (!hasParams) {
           return null;
         }

         RuleExecutionResult rer = new RuleExecutionResult();
         try {
           MENT3_impl rule_MENT3 = new MENT3_impl();
           rer = rule_MENT3.evaluate(varMeasurementUnitQualService,varMeasurement);
         } catch (Exception e) {
           rer.setRuleSatisfied(false);
           Logger.getLogger(MENT3.class.getName()).log(Level.SEVERE, null, e);
         } catch (Throwable t) {
           rer.setRuleSatisfied(false);
           Logger.getLogger(MENT3.class.getName()).log(Level.SEVERE, null, t);
         }
        
         }
         return rer;
     }
}
