package com.eurodyn.ecdp.taric.validation.rules;

import gr.eurodyn.isee.rule.RuleExecutionResult;
import com.eurodyn.ecdp.taric.validation.utils.*;
import com.eurodyn.ecdp.taric.validation.implementation.*;
import java.util.List;
 import com.eurodyn.ecdp.taric.hyperjaxb.entities.MonetaryUnit;
          

/**
  * <p>
  * @version $Revision$
  * $Id$
  */
public class MOU2 extends WrapperRule {

     @Override
     public RuleExecutionResult fire() {
          MonetaryUnit varMonetaryUnit = null;
        
         boolean hasParams = true;
         for (Object o : this.getRp().getBagOfObjects()) {
            
             if (o instanceof MonetaryUnit) {
                 varMonetaryUnit = (MonetaryUnit) o;
             }
             
         }
          hasParams = hasParams && (varMonetaryUnit == null);
        
         if (!hasParams) {
           return null;
         }

         RuleExecutionResult rer = new RuleExecutionResult();
         try {
           MOU2_impl rule_MOU2 = new MOU2_impl();
           rer = rule_MOU2.evaluate(varMonetaryUnit);
         } catch (Exception e) {
           rer.setRuleSatisfied(false);
           Logger.getLogger(MOU2.class.getName()).log(Level.SEVERE, null, e);
         } catch (Throwable t) {
           rer.setRuleSatisfied(false);
           Logger.getLogger(MOU2.class.getName()).log(Level.SEVERE, null, t);
         }
        
         }
         return rer;
     }
}
