package com.eurodyn.ecdp.taric.validation.rules;

import gr.eurodyn.isee.rule.RuleExecutionResult;
import com.eurodyn.ecdp.taric.validation.utils.*;
import com.eurodyn.ecdp.taric.validation.implementation.*;
import java.util.List;
 import com.eurodyn.ecdp.taric.services.MeasureTypeService;
           import com.eurodyn.ecdp.taric.hyperjaxb.entities.MeasureType;
          

/**
  * <p>
  * @version $Revision$
  * $Id$
  */
public class MT1 extends WrapperRule {

     @Override
     public RuleExecutionResult fire() {
          MeasureTypeService varMeasureTypeService = null;
         MeasureType varMeasureType = null;
        
         boolean hasParams = true;
         for (Object o : this.getRp().getBagOfObjects()) {
            
             if (o instanceof MeasureTypeService) {
                 varMeasureTypeService = (MeasureTypeService) o;
             }
              
             if (o instanceof MeasureType) {
                 varMeasureType = (MeasureType) o;
             }
             
         }
          hasParams = hasParams && (varMeasureTypeService == null);
         hasParams = hasParams && (varMeasureType == null);
        
         if (!hasParams) {
           return null;
         }

         RuleExecutionResult rer = new RuleExecutionResult();
         try {
           MT1_impl rule_MT1 = new MT1_impl();
           rer = rule_MT1.evaluate(varMeasureTypeService,varMeasureType);
         } catch (Exception e) {
           rer.setRuleSatisfied(false);
           Logger.getLogger(MT1.class.getName()).log(Level.SEVERE, null, e);
         } catch (Throwable t) {
           rer.setRuleSatisfied(false);
           Logger.getLogger(MT1.class.getName()).log(Level.SEVERE, null, t);
         }
        
         }
         return rer;
     }
}
