package com.eurodyn.ecdp.taric.validation.rules;

import gr.eurodyn.isee.rule.RuleExecutionResult;
import com.eurodyn.ecdp.taric.validation.utils.*;
import com.eurodyn.ecdp.taric.validation.implementation.*;
import java.util.List;
 import com.eurodyn.ecdp.taric.services.MeasureTypeSeriesService;
           import com.eurodyn.ecdp.taric.hyperjaxb.entities.MeasureType;
          

/**
  * <p>
  * @version $Revision$
  * $Id$
  */
public class MT10 extends WrapperRule {

     @Override
     public RuleExecutionResult fire() {
          MeasureTypeSeriesService varMeasureTypeSeriesService = null;
         MeasureType varMeasureType = null;
        
         boolean hasParams = true;
         for (Object o : this.getRp().getBagOfObjects()) {
            
             if (o instanceof MeasureTypeSeriesService) {
                 varMeasureTypeSeriesService = (MeasureTypeSeriesService) o;
             }
              
             if (o instanceof MeasureType) {
                 varMeasureType = (MeasureType) o;
             }
             
         }
          hasParams = hasParams && (varMeasureTypeSeriesService == null);
         hasParams = hasParams && (varMeasureType == null);
        
         if (!hasParams) {
           return null;
         }

         RuleExecutionResult rer = new RuleExecutionResult();
         try {
           MT10_impl rule_MT10 = new MT10_impl();
           rer = rule_MT10.evaluate(varMeasureTypeSeriesService,varMeasureType);
         } catch (Exception e) {
           rer.setRuleSatisfied(false);
           Logger.getLogger(MT10.class.getName()).log(Level.SEVERE, null, e);
         } catch (Throwable t) {
           rer.setRuleSatisfied(false);
           Logger.getLogger(MT10.class.getName()).log(Level.SEVERE, null, t);
         }
        
         }
         return rer;
     }
}
