package com.eurodyn.ecdp.taric.validation.rules;

import gr.eurodyn.isee.rule.RuleExecutionResult;
import com.eurodyn.ecdp.taric.validation.utils.*;
import com.eurodyn.ecdp.taric.validation.implementation.*;
import java.util.List;
 import com.eurodyn.ecdp.taric.services.MeasureService;
           import com.eurodyn.ecdp.taric.hyperjaxb.entities.MeasureType;
          

/**
  * <p>
  * @version $Revision$
  * $Id$
  */
public class MT7 extends WrapperRule {

     @Override
     public RuleExecutionResult fire() {
          MeasureService varMeasureService = null;
         MeasureType varMeasureType = null;
        
         boolean hasParams = true;
         for (Object o : this.getRp().getBagOfObjects()) {
            
             if (o instanceof MeasureService) {
                 varMeasureService = (MeasureService) o;
             }
              
             if (o instanceof MeasureType) {
                 varMeasureType = (MeasureType) o;
             }
             
         }
          hasParams = hasParams && (varMeasureService == null);
         hasParams = hasParams && (varMeasureType == null);
        
         if (!hasParams) {
           return null;
         }

         RuleExecutionResult rer = new RuleExecutionResult();
         try {
           MT7_impl rule_MT7 = new MT7_impl();
           rer = rule_MT7.evaluate(varMeasureService,varMeasureType);
         } catch (Exception e) {
           rer.setRuleSatisfied(false);
           Logger.getLogger(MT7.class.getName()).log(Level.SEVERE, null, e);
         } catch (Throwable t) {
           rer.setRuleSatisfied(false);
           Logger.getLogger(MT7.class.getName()).log(Level.SEVERE, null, t);
         }
        
         }
         return rer;
     }
}
