package com.eurodyn.ecdp.taric.validation.rules;

import gr.eurodyn.isee.rule.RuleExecutionResult;
import com.eurodyn.ecdp.taric.validation.utils.*;
import com.eurodyn.ecdp.taric.validation.implementation.*;
import java.util.List;
 import com.eurodyn.ecdp.taric.hyperjaxb.entities.MeasureTypeSeries;
          

/**
  * <p>
  * @version $Revision$
  * $Id$
  */
public class MTS3 extends WrapperRule {

     @Override
     public RuleExecutionResult fire() {
          MeasureTypeSeries varMeasureTypeSeries = null;
        
         boolean hasParams = true;
         for (Object o : this.getRp().getBagOfObjects()) {
            
             if (o instanceof MeasureTypeSeries) {
                 varMeasureTypeSeries = (MeasureTypeSeries) o;
             }
             
         }
          hasParams = hasParams && (varMeasureTypeSeries == null);
        
         if (!hasParams) {
           return null;
         }

         RuleExecutionResult rer = new RuleExecutionResult();
         try {
           MTS3_impl rule_MTS3 = new MTS3_impl();
           rer = rule_MTS3.evaluate(varMeasureTypeSeries);
         } catch (Exception e) {
           rer.setRuleSatisfied(false);
           Logger.getLogger(MTS3.class.getName()).log(Level.SEVERE, null, e);
         } catch (Throwable t) {
           rer.setRuleSatisfied(false);
           Logger.getLogger(MTS3.class.getName()).log(Level.SEVERE, null, t);
         }
        
         }
         return rer;
     }
}
