package com.eurodyn.ecdp.taric.validation.rules;

import gr.eurodyn.isee.rule.RuleExecutionResult;
import com.eurodyn.ecdp.taric.validation.utils.*;
import com.eurodyn.ecdp.taric.validation.implementation.*;
import java.util.List;
 import com.eurodyn.ecdp.taric.hyperjaxb.entities.MeasurementUnit;
          

/**
  * <p>
  * @version $Revision$
  * $Id$
  */
public class MU2 extends WrapperRule {

     @Override
     public RuleExecutionResult fire() {
          MeasurementUnit varMeasurementUnit = null;
        
         boolean hasParams = true;
         for (Object o : this.getRp().getBagOfObjects()) {
            
             if (o instanceof MeasurementUnit) {
                 varMeasurementUnit = (MeasurementUnit) o;
             }
             
         }
          hasParams = hasParams && (varMeasurementUnit == null);
        
         if (!hasParams) {
           return null;
         }

         RuleExecutionResult rer = new RuleExecutionResult();
         try {
           MU2_impl rule_MU2 = new MU2_impl();
           rer = rule_MU2.evaluate(varMeasurementUnit);
         } catch (Exception e) {
           rer.setRuleSatisfied(false);
           Logger.getLogger(MU2.class.getName()).log(Level.SEVERE, null, e);
         } catch (Throwable t) {
           rer.setRuleSatisfied(false);
           Logger.getLogger(MU2.class.getName()).log(Level.SEVERE, null, t);
         }
        
         }
         return rer;
     }
}
