package com.eurodyn.ecdp.taric.validation.rules;

import gr.eurodyn.isee.rule.RuleExecutionResult;
import com.eurodyn.ecdp.taric.validation.utils.*;
import com.eurodyn.ecdp.taric.validation.implementation.*;
import java.util.List;
 import com.eurodyn.ecdp.taric.hyperjaxb.entities.GoodsNomenclatureGroup;
          

/**
  * <p>
  * @version $Revision$
  * $Id$
  */
public class NG3 extends WrapperRule {

     @Override
     public RuleExecutionResult fire() {
          GoodsNomenclatureGroup varGoodsNomenclatureGroup = null;
        
         boolean hasParams = true;
         for (Object o : this.getRp().getBagOfObjects()) {
            
             if (o instanceof GoodsNomenclatureGroup) {
                 varGoodsNomenclatureGroup = (GoodsNomenclatureGroup) o;
             }
             
         }
          hasParams = hasParams && (varGoodsNomenclatureGroup == null);
        
         if (!hasParams) {
           return null;
         }

         RuleExecutionResult rer = new RuleExecutionResult();
         try {
           NG3_impl rule_NG3 = new NG3_impl();
           rer = rule_NG3.evaluate(varGoodsNomenclatureGroup);
         } catch (Exception e) {
           rer.setRuleSatisfied(false);
           Logger.getLogger(NG3.class.getName()).log(Level.SEVERE, null, e);
         } catch (Throwable t) {
           rer.setRuleSatisfied(false);
           Logger.getLogger(NG3.class.getName()).log(Level.SEVERE, null, t);
         }
        
         }
         return rer;
     }
}
