package com.eurodyn.ecdp.taric.validation.rules;

import gr.eurodyn.isee.rule.RuleExecutionResult;
import com.eurodyn.ecdp.taric.validation.utils.*;
import com.eurodyn.ecdp.taric.validation.implementation.*;
import java.util.List;
 import com.eurodyn.ecdp.taric.services.PublicationSigleService;
           import com.eurodyn.ecdp.taric.hyperjaxb.entities.PublicationSigle;
          

/**
  * <p>
  * @version $Revision$
  * $Id$
  */
public class PS2 extends WrapperRule {

     @Override
     public RuleExecutionResult fire() {
          PublicationSigleService varPublicationSigleService = null;
         PublicationSigle varPublicationSigle = null;
        
         boolean hasParams = true;
         for (Object o : this.getRp().getBagOfObjects()) {
            
             if (o instanceof PublicationSigleService) {
                 varPublicationSigleService = (PublicationSigleService) o;
             }
              
             if (o instanceof PublicationSigle) {
                 varPublicationSigle = (PublicationSigle) o;
             }
             
         }
          hasParams = hasParams && (varPublicationSigleService == null);
         hasParams = hasParams && (varPublicationSigle == null);
        
         if (!hasParams) {
           return null;
         }

         RuleExecutionResult rer = new RuleExecutionResult();
         try {
           PS2_impl rule_PS2 = new PS2_impl();
           rer = rule_PS2.evaluate(varPublicationSigleService,varPublicationSigle);
         } catch (Exception e) {
           rer.setRuleSatisfied(false);
           Logger.getLogger(PS2.class.getName()).log(Level.SEVERE, null, e);
         } catch (Throwable t) {
           rer.setRuleSatisfied(false);
           Logger.getLogger(PS2.class.getName()).log(Level.SEVERE, null, t);
         }
        
         }
         return rer;
     }
}
