package com.eurodyn.ecdp.taric.validation.rules;

import gr.eurodyn.isee.rule.RuleExecutionResult;
import com.eurodyn.ecdp.taric.validation.utils.*;
import com.eurodyn.ecdp.taric.validation.implementation.*;
import java.util.List;
 import com.eurodyn.ecdp.taric.hyperjaxb.entities.PublicationSigle;
          

/**
  * <p>
  * @version $Revision$
  * $Id$
  */
public class PS3 extends WrapperRule {

     @Override
     public RuleExecutionResult fire() {
          PublicationSigle varPublicationSigle = null;
        
         boolean hasParams = true;
         for (Object o : this.getRp().getBagOfObjects()) {
            
             if (o instanceof PublicationSigle) {
                 varPublicationSigle = (PublicationSigle) o;
             }
             
         }
          hasParams = hasParams && (varPublicationSigle == null);
        
         if (!hasParams) {
           return null;
         }

         RuleExecutionResult rer = new RuleExecutionResult();
         try {
           PS3_impl rule_PS3 = new PS3_impl();
           rer = rule_PS3.evaluate(varPublicationSigle);
         } catch (Exception e) {
           rer.setRuleSatisfied(false);
           Logger.getLogger(PS3.class.getName()).log(Level.SEVERE, null, e);
         } catch (Throwable t) {
           rer.setRuleSatisfied(false);
           Logger.getLogger(PS3.class.getName()).log(Level.SEVERE, null, t);
         }
        
         }
         return rer;
     }
}
