package com.eurodyn.ecdp.taric.validation.rules;

import gr.eurodyn.isee.rule.RuleExecutionResult;
import com.eurodyn.ecdp.taric.validation.utils.*;
import com.eurodyn.ecdp.taric.validation.implementation.*;
import java.util.List;
 import com.eurodyn.ecdp.taric.services.BaseRegulationService;
           import com.eurodyn.ecdp.taric.hyperjaxb.entities.RegulationGroup;
          

/**
  * <p>
  * @version $Revision$
  * $Id$
  */
public class RG2 extends WrapperRule {

     @Override
     public RuleExecutionResult fire() {
          BaseRegulationService varBaseRegulationService = null;
         RegulationGroup varRegulationGroup = null;
        
         boolean hasParams = true;
         for (Object o : this.getRp().getBagOfObjects()) {
            
             if (o instanceof BaseRegulationService) {
                 varBaseRegulationService = (BaseRegulationService) o;
             }
              
             if (o instanceof RegulationGroup) {
                 varRegulationGroup = (RegulationGroup) o;
             }
             
         }
          hasParams = hasParams && (varBaseRegulationService == null);
         hasParams = hasParams && (varRegulationGroup == null);
        
         if (!hasParams) {
           return null;
         }

         RuleExecutionResult rer = new RuleExecutionResult();
         try {
           RG2_impl rule_RG2 = new RG2_impl();
           rer = rule_RG2.evaluate(varBaseRegulationService,varRegulationGroup);
         } catch (Exception e) {
           rer.setRuleSatisfied(false);
           Logger.getLogger(RG2.class.getName()).log(Level.SEVERE, null, e);
         } catch (Throwable t) {
           rer.setRuleSatisfied(false);
           Logger.getLogger(RG2.class.getName()).log(Level.SEVERE, null, t);
         }
        
         }
         return rer;
     }
}
