package com.eurodyn.ecdp.taric.validation.rules;

import gr.eurodyn.isee.rule.RuleExecutionResult;
import com.eurodyn.ecdp.taric.validation.utils.*;
import com.eurodyn.ecdp.taric.validation.implementation.*;
import java.util.List;
 import com.eurodyn.ecdp.taric.hyperjaxb.entities.RegulationGroup;
          

/**
  * <p>
  * @version $Revision$
  * $Id$
  */
public class RG3 extends WrapperRule {

     @Override
     public RuleExecutionResult fire() {
          RegulationGroup varRegulationGroup = null;
        
         boolean hasParams = true;
         for (Object o : this.getRp().getBagOfObjects()) {
            
             if (o instanceof RegulationGroup) {
                 varRegulationGroup = (RegulationGroup) o;
             }
             
         }
          hasParams = hasParams && (varRegulationGroup == null);
        
         if (!hasParams) {
           return null;
         }

         RuleExecutionResult rer = new RuleExecutionResult();
         try {
           RG3_impl rule_RG3 = new RG3_impl();
           rer = rule_RG3.evaluate(varRegulationGroup);
         } catch (Exception e) {
           rer.setRuleSatisfied(false);
           Logger.getLogger(RG3.class.getName()).log(Level.SEVERE, null, e);
         } catch (Throwable t) {
           rer.setRuleSatisfied(false);
           Logger.getLogger(RG3.class.getName()).log(Level.SEVERE, null, t);
         }
        
         }
         return rer;
     }
}
