package com.eurodyn.ecdp.taric.validation.rules;

import gr.eurodyn.isee.rule.RuleExecutionResult;
import com.eurodyn.ecdp.taric.validation.utils.*;
import com.eurodyn.ecdp.taric.validation.implementation.*;
import java.util.List;
 import com.eurodyn.ecdp.taric.services.CompleteAbrogationRegulationService;
           import com.eurodyn.ecdp.taric.hyperjaxb.entities.CompleteAbrogationRegulation;
          

/**
  * <p>
  * @version $Revision$
  * $Id$
  */
public class ROAC1 extends WrapperRule {

     @Override
     public RuleExecutionResult fire() {
          CompleteAbrogationRegulationService varCompleteAbrogationRegulationService = null;
         CompleteAbrogationRegulation varCompleteAbrogationRegulation = null;
        
         boolean hasParams = true;
         for (Object o : this.getRp().getBagOfObjects()) {
            
             if (o instanceof CompleteAbrogationRegulationService) {
                 varCompleteAbrogationRegulationService = (CompleteAbrogationRegulationService) o;
             }
              
             if (o instanceof CompleteAbrogationRegulation) {
                 varCompleteAbrogationRegulation = (CompleteAbrogationRegulation) o;
             }
             
         }
          hasParams = hasParams && (varCompleteAbrogationRegulationService == null);
         hasParams = hasParams && (varCompleteAbrogationRegulation == null);
        
         if (!hasParams) {
           return null;
         }

         RuleExecutionResult rer = new RuleExecutionResult();
         try {
           ROAC1_impl rule_ROAC1 = new ROAC1_impl();
           rer = rule_ROAC1.evaluate(varCompleteAbrogationRegulationService,varCompleteAbrogationRegulation);
         } catch (Exception e) {
           rer.setRuleSatisfied(false);
           Logger.getLogger(ROAC1.class.getName()).log(Level.SEVERE, null, e);
         } catch (Throwable t) {
           rer.setRuleSatisfied(false);
           Logger.getLogger(ROAC1.class.getName()).log(Level.SEVERE, null, t);
         }
        
         }
         return rer;
     }
}
