package com.eurodyn.ecdp.taric.validation.rules;

import gr.eurodyn.isee.rule.RuleExecutionResult;
import com.eurodyn.ecdp.taric.validation.utils.*;
import com.eurodyn.ecdp.taric.validation.implementation.*;
import java.util.List;
 import com.eurodyn.ecdp.taric.hyperjaxb.entities.CompleteAbrogationRegulation;
          

/**
  * <p>
  * @version $Revision$
  * $Id$
  */
public class ROAC14 extends WrapperRule {

     @Override
     public RuleExecutionResult fire() {
          CompleteAbrogationRegulation varCompleteAbrogationRegulation = null;
        
         boolean hasParams = true;
         for (Object o : this.getRp().getBagOfObjects()) {
            
             if (o instanceof CompleteAbrogationRegulation) {
                 varCompleteAbrogationRegulation = (CompleteAbrogationRegulation) o;
             }
             
         }
          hasParams = hasParams && (varCompleteAbrogationRegulation == null);
        
         if (!hasParams) {
           return null;
         }

         RuleExecutionResult rer = new RuleExecutionResult();
         try {
           ROAC14_impl rule_ROAC14 = new ROAC14_impl();
           rer = rule_ROAC14.evaluate(varCompleteAbrogationRegulation);
         } catch (Exception e) {
           rer.setRuleSatisfied(false);
           Logger.getLogger(ROAC14.class.getName()).log(Level.SEVERE, null, e);
         } catch (Throwable t) {
           rer.setRuleSatisfied(false);
           Logger.getLogger(ROAC14.class.getName()).log(Level.SEVERE, null, t);
         }
        
         }
         return rer;
     }
}
