package com.eurodyn.ecdp.taric.validation.rules;

import gr.eurodyn.isee.rule.RuleExecutionResult;
import com.eurodyn.ecdp.taric.validation.utils.*;
import com.eurodyn.ecdp.taric.validation.implementation.*;
import java.util.List;
 import com.eurodyn.ecdp.taric.services.BaseRegulService;
           import com.eurodyn.ecdp.taric.hyperjaxb.entities.BaseRegulation;
          

/**
  * <p>
  * @version $Revision$
  * $Id$
  */
public class ROIMB1 extends WrapperRule {

     @Override
     public RuleExecutionResult fire() {
          BaseRegulService varBaseRegulService = null;
         BaseRegulation varBaseRegulation = null;
        
         boolean hasParams = true;
         for (Object o : this.getRp().getBagOfObjects()) {
            
             if (o instanceof BaseRegulService) {
                 varBaseRegulService = (BaseRegulService) o;
             }
              
             if (o instanceof BaseRegulation) {
                 varBaseRegulation = (BaseRegulation) o;
             }
             
         }
          hasParams = hasParams && (varBaseRegulService == null);
         hasParams = hasParams && (varBaseRegulation == null);
        
         if (!hasParams) {
           return null;
         }

         RuleExecutionResult rer = new RuleExecutionResult();
         try {
           ROIMB1_impl rule_ROIMB1 = new ROIMB1_impl();
           rer = rule_ROIMB1.evaluate(varBaseRegulService,varBaseRegulation);
         } catch (Exception e) {
           rer.setRuleSatisfied(false);
           Logger.getLogger(ROIMB1.class.getName()).log(Level.SEVERE, null, e);
         } catch (Throwable t) {
           rer.setRuleSatisfied(false);
           Logger.getLogger(ROIMB1.class.getName()).log(Level.SEVERE, null, t);
         }
        
         }
         return rer;
     }
}
