package com.eurodyn.ecdp.taric.validation.rules;

import gr.eurodyn.isee.rule.RuleExecutionResult;
import com.eurodyn.ecdp.taric.validation.utils.*;
import com.eurodyn.ecdp.taric.validation.implementation.*;
import java.util.List;
 import com.eurodyn.ecdp.taric.hyperjaxb.entities.TODO;
           import com.eurodyn.ecdp.taric.hyperjaxb.entities.BaseRegulation;
          

/**
  * <p>
  * @version $Revision$
  * $Id$
  */
public class ROIMB46 extends WrapperRule {

     @Override
     public RuleExecutionResult fire() {
          TODO varTODO = null;
         BaseRegulation varBaseRegulation = null;
        
         boolean hasParams = true;
         for (Object o : this.getRp().getBagOfObjects()) {
            
             if (o instanceof TODO) {
                 varTODO = (TODO) o;
             }
              
             if (o instanceof BaseRegulation) {
                 varBaseRegulation = (BaseRegulation) o;
             }
             
         }
          hasParams = hasParams && (varTODO == null);
         hasParams = hasParams && (varBaseRegulation == null);
        
         if (!hasParams) {
           return null;
         }

         RuleExecutionResult rer = new RuleExecutionResult();
         try {
           ROIMB46_impl rule_ROIMB46 = new ROIMB46_impl();
           rer = rule_ROIMB46.evaluate(varTODO,varBaseRegulation);
         } catch (Exception e) {
           rer.setRuleSatisfied(false);
           Logger.getLogger(ROIMB46.class.getName()).log(Level.SEVERE, null, e);
         } catch (Throwable t) {
           rer.setRuleSatisfied(false);
           Logger.getLogger(ROIMB46.class.getName()).log(Level.SEVERE, null, t);
         }
        
         }
         return rer;
     }
}
