package com.eurodyn.ecdp.taric.validation.rules;

import gr.eurodyn.isee.rule.RuleExecutionResult;
import com.eurodyn.ecdp.taric.validation.utils.*;
import com.eurodyn.ecdp.taric.validation.implementation.*;
import java.util.List;
 import com.eurodyn.ecdp.taric.hyperjaxb.entities.BaseRegulation;
          

/**
  * <p>
  * @version $Revision$
  * $Id$
  */
public class ROIMB47 extends WrapperRule {

     @Override
     public RuleExecutionResult fire() {
          BaseRegulation varBaseRegulation = null;
        
         boolean hasParams = true;
         for (Object o : this.getRp().getBagOfObjects()) {
            
             if (o instanceof BaseRegulation) {
                 varBaseRegulation = (BaseRegulation) o;
             }
             
         }
          hasParams = hasParams && (varBaseRegulation == null);
        
         if (!hasParams) {
           return null;
         }

         RuleExecutionResult rer = new RuleExecutionResult();
         try {
           ROIMB47_impl rule_ROIMB47 = new ROIMB47_impl();
           rer = rule_ROIMB47.evaluate(varBaseRegulation);
         } catch (Exception e) {
           rer.setRuleSatisfied(false);
           Logger.getLogger(ROIMB47.class.getName()).log(Level.SEVERE, null, e);
         } catch (Throwable t) {
           rer.setRuleSatisfied(false);
           Logger.getLogger(ROIMB47.class.getName()).log(Level.SEVERE, null, t);
         }
        
         }
         return rer;
     }
}
