package com.eurodyn.ecdp.taric.validation.rules;

import gr.eurodyn.isee.rule.RuleExecutionResult;
import com.eurodyn.ecdp.taric.validation.utils.*;
import com.eurodyn.ecdp.taric.validation.implementation.*;
import java.util.List;
 import com.eurodyn.ecdp.taric.services.PropagationRegulationService;
           import com.eurodyn.ecdp.taric.hyperjaxb.entities.BaseRegulation;
          

/**
  * <p>
  * @version $Revision$
  * $Id$
  */
public class ROIMB7 extends WrapperRule {

     @Override
     public RuleExecutionResult fire() {
          PropagationRegulationService varPropagationRegulationService = null;
         BaseRegulation varBaseRegulation = null;
        
         boolean hasParams = true;
         for (Object o : this.getRp().getBagOfObjects()) {
            
             if (o instanceof PropagationRegulationService) {
                 varPropagationRegulationService = (PropagationRegulationService) o;
             }
              
             if (o instanceof BaseRegulation) {
                 varBaseRegulation = (BaseRegulation) o;
             }
             
         }
          hasParams = hasParams && (varPropagationRegulationService == null);
         hasParams = hasParams && (varBaseRegulation == null);
        
         if (!hasParams) {
           return null;
         }

         RuleExecutionResult rer = new RuleExecutionResult();
         try {
           ROIMB7_impl rule_ROIMB7 = new ROIMB7_impl();
           rer = rule_ROIMB7.evaluate(varPropagationRegulationService,varBaseRegulation);
         } catch (Exception e) {
           rer.setRuleSatisfied(false);
           Logger.getLogger(ROIMB7.class.getName()).log(Level.SEVERE, null, e);
         } catch (Throwable t) {
           rer.setRuleSatisfied(false);
           Logger.getLogger(ROIMB7.class.getName()).log(Level.SEVERE, null, t);
         }
        
         }
         return rer;
     }
}
