package com.eurodyn.ecdp.taric.validation.rules;

import gr.eurodyn.isee.rule.RuleExecutionResult;
import com.eurodyn.ecdp.taric.validation.utils.*;
import com.eurodyn.ecdp.taric.validation.implementation.*;
import java.util.List;
 import com.eurodyn.ecdp.taric.hyperjaxb.entities.AdditionalCode;
          

/**
  * <p>
  * @version $Revision$
  * $Id$
  */
public class ACN5 extends WrapperRule {

     @Override
     public RuleExecutionResult fire() {
          AdditionalCode varAdditionalCode = null;
        
         boolean hasParams = true;
         for (Object o : this.getRp().getBagOfObjects()) {
            
             if (o instanceof AdditionalCode) {
                 varAdditionalCode = (AdditionalCode) o;
             }
             
         }
          hasParams = hasParams && (varAdditionalCode == null);
        
         if (!hasParams) {
           return null;
         }

         RuleExecutionResult rer = new RuleExecutionResult();
         try {
           ACN5_impl rule_ACN5 = new ACN5_impl();
           rer = rule_ACN5.evaluate(varAdditionalCode);
         } catch (Exception e) {
           rer.setRuleSatisfied(false);
           Logger.getLogger(ACN5.class.getName()).log(Level.SEVERE, null, e);
         } catch (Throwable t) {
           rer.setRuleSatisfied(false);
           Logger.getLogger(ACN5.class.getName()).log(Level.SEVERE, null, t);
         }
        
         }
         return rer;
     }
}
