package com.eurodyn.ecdp.taric.validation.rules;

import gr.eurodyn.isee.rule.RuleExecutionResult;
import com.eurodyn.ecdp.taric.validation.utils.*;
import com.eurodyn.ecdp.taric.validation.implementation.*;
import java.util.List;
 import com.eurodyn.ecdp.taric.services.CertificateTypeService;
           import com.eurodyn.ecdp.taric.hyperjaxb.entities.Certificate;
          

/**
  * <p>
  * @version $Revision$
  * $Id$
  */
public class CE1 extends WrapperRule {

     @Override
     public RuleExecutionResult fire() {
          CertificateTypeService varCertificateTypeService = null;
         Certificate varCertificate = null;
        
         boolean hasParams = true;
         for (Object o : this.getRp().getBagOfObjects()) {
            
             if (o instanceof CertificateTypeService) {
                 varCertificateTypeService = (CertificateTypeService) o;
             }
              
             if (o instanceof Certificate) {
                 varCertificate = (Certificate) o;
             }
             
         }
          hasParams = hasParams && (varCertificateTypeService == null);
         hasParams = hasParams && (varCertificate == null);
        
         if (!hasParams) {
           return null;
         }

         RuleExecutionResult rer = new RuleExecutionResult();
         try {
           CE1_impl rule_CE1 = new CE1_impl();
           rer = rule_CE1.evaluate(varCertificateTypeService,varCertificate);
         } catch (Exception e) {
           rer.setRuleSatisfied(false);
           Logger.getLogger(CE1.class.getName()).log(Level.SEVERE, null, e);
         } catch (Throwable t) {
           rer.setRuleSatisfied(false);
           Logger.getLogger(CE1.class.getName()).log(Level.SEVERE, null, t);
         }
        
         }
         return rer;
     }
}
