package com.eurodyn.ecdp.taric.validation.rules;

import gr.eurodyn.isee.rule.RuleExecutionResult;
import com.eurodyn.ecdp.taric.validation.utils.*;
import com.eurodyn.ecdp.taric.validation.implementation.*;
import java.util.List;
 import com.eurodyn.ecdp.taric.services.CertificateService;
           import com.eurodyn.ecdp.taric.hyperjaxb.entities.Certificate;
          

/**
  * <p>
  * @version $Revision$
  * $Id$
  */
public class CE2 extends WrapperRule {

     @Override
     public RuleExecutionResult fire() {
          CertificateService varCertificateService = null;
         Certificate varCertificate = null;
        
         boolean hasParams = true;
         for (Object o : this.getRp().getBagOfObjects()) {
            
             if (o instanceof CertificateService) {
                 varCertificateService = (CertificateService) o;
             }
              
             if (o instanceof Certificate) {
                 varCertificate = (Certificate) o;
             }
             
         }
          hasParams = hasParams && (varCertificateService == null);
         hasParams = hasParams && (varCertificate == null);
        
         if (!hasParams) {
           return null;
         }

         RuleExecutionResult rer = new RuleExecutionResult();
         try {
           CE2_impl rule_CE2 = new CE2_impl();
           rer = rule_CE2.evaluate(varCertificateService,varCertificate);
         } catch (Exception e) {
           rer.setRuleSatisfied(false);
           Logger.getLogger(CE2.class.getName()).log(Level.SEVERE, null, e);
         } catch (Throwable t) {
           rer.setRuleSatisfied(false);
           Logger.getLogger(CE2.class.getName()).log(Level.SEVERE, null, t);
         }
        
         }
         return rer;
     }
}
