package com.eurodyn.ecdp.taric.validation.rules;

import gr.eurodyn.isee.rule.RuleExecutionResult;
import com.eurodyn.ecdp.taric.validation.utils.*;
import com.eurodyn.ecdp.taric.validation.implementation.*;
import java.util.List;
 import com.eurodyn.ecdp.taric.hyperjaxb.entities.Certificate;
          

/**
  * <p>
  * @version $Revision$
  * $Id$
  */
public class CE3 extends WrapperRule {

     @Override
     public RuleExecutionResult fire() {
          Certificate varCertificate = null;
        
         boolean hasParams = true;
         for (Object o : this.getRp().getBagOfObjects()) {
            
             if (o instanceof Certificate) {
                 varCertificate = (Certificate) o;
             }
             
         }
          hasParams = hasParams && (varCertificate == null);
        
         if (!hasParams) {
           return null;
         }

         RuleExecutionResult rer = new RuleExecutionResult();
         try {
           CE3_impl rule_CE3 = new CE3_impl();
           rer = rule_CE3.evaluate(varCertificate);
         } catch (Exception e) {
           rer.setRuleSatisfied(false);
           Logger.getLogger(CE3.class.getName()).log(Level.SEVERE, null, e);
         } catch (Throwable t) {
           rer.setRuleSatisfied(false);
           Logger.getLogger(CE3.class.getName()).log(Level.SEVERE, null, t);
         }
        
         }
         return rer;
     }
}
