package com.eurodyn.ecdp.taric.validation.rules;

import gr.eurodyn.isee.rule.RuleExecutionResult;
import com.eurodyn.ecdp.taric.validation.utils.*;
import com.eurodyn.ecdp.taric.validation.implementation.*;
import java.util.List;
 import com.eurodyn.ecdp.taric.hyperjaxb.entities.CertificateTypeSerice;
           import com.eurodyn.ecdp.taric.hyperjaxb.entities.CertificateType;
          

/**
  * <p>
  * @version $Revision$
  * $Id$
  */
public class CET1 extends WrapperRule {

     @Override
     public RuleExecutionResult fire() {
          CertificateTypeSerice varCertificateTypeSerice = null;
         CertificateType varCertificateType = null;
        
         boolean hasParams = true;
         for (Object o : this.getRp().getBagOfObjects()) {
            
             if (o instanceof CertificateTypeSerice) {
                 varCertificateTypeSerice = (CertificateTypeSerice) o;
             }
              
             if (o instanceof CertificateType) {
                 varCertificateType = (CertificateType) o;
             }
             
         }
          hasParams = hasParams && (varCertificateTypeSerice == null);
         hasParams = hasParams && (varCertificateType == null);
        
         if (!hasParams) {
           return null;
         }

         RuleExecutionResult rer = new RuleExecutionResult();
         try {
           CET1_impl rule_CET1 = new CET1_impl();
           rer = rule_CET1.evaluate(varCertificateTypeSerice,varCertificateType);
         } catch (Exception e) {
           rer.setRuleSatisfied(false);
           Logger.getLogger(CET1.class.getName()).log(Level.SEVERE, null, e);
         } catch (Throwable t) {
           rer.setRuleSatisfied(false);
           Logger.getLogger(CET1.class.getName()).log(Level.SEVERE, null, t);
         }
        
         }
         return rer;
     }
}
