package com.eurodyn.ecdp.taric.validation.rules;

import gr.eurodyn.isee.rule.RuleExecutionResult;
import com.eurodyn.ecdp.taric.validation.utils.*;
import com.eurodyn.ecdp.taric.validation.implementation.*;
import java.util.List;
 import com.eurodyn.ecdp.taric.services.AdditionalCodeTypeService;
           import com.eurodyn.ecdp.taric.hyperjaxb.entities.AdditionalCodeType;
          

/**
  * <p>
  * @version $Revision$
  * $Id$
  */
public class CT1 extends WrapperRule {

     @Override
     public RuleExecutionResult fire() {
          AdditionalCodeTypeService varAdditionalCodeTypeService = null;
         AdditionalCodeType varAdditionalCodeType = null;
        
         boolean hasParams = true;
         for (Object o : this.getRp().getBagOfObjects()) {
            
             if (o instanceof AdditionalCodeTypeService) {
                 varAdditionalCodeTypeService = (AdditionalCodeTypeService) o;
             }
              
             if (o instanceof AdditionalCodeType) {
                 varAdditionalCodeType = (AdditionalCodeType) o;
             }
             
         }
          hasParams = hasParams && (varAdditionalCodeTypeService == null);
         hasParams = hasParams && (varAdditionalCodeType == null);
        
         if (!hasParams) {
           return null;
         }

         RuleExecutionResult rer = new RuleExecutionResult();
         try {
           CT1_impl rule_CT1 = new CT1_impl();
           rer = rule_CT1.evaluate(varAdditionalCodeTypeService,varAdditionalCodeType);
         } catch (Exception e) {
           rer.setRuleSatisfied(false);
           Logger.getLogger(CT1.class.getName()).log(Level.SEVERE, null, e);
         } catch (Throwable t) {
           rer.setRuleSatisfied(false);
           Logger.getLogger(CT1.class.getName()).log(Level.SEVERE, null, t);
         }
        
         }
         return rer;
     }
}
