package com.eurodyn.ecdp.taric.validation.rules;

import gr.eurodyn.isee.rule.RuleExecutionResult;
import com.eurodyn.ecdp.taric.validation.utils.*;
import com.eurodyn.ecdp.taric.validation.implementation.*;
import java.util.List;
 import com.eurodyn.ecdp.taric.hyperjaxb.entities.AdditionalCodeType;
          

/**
  * <p>
  * @version $Revision$
  * $Id$
  */
public class CT2 extends WrapperRule {

     @Override
     public RuleExecutionResult fire() {
          AdditionalCodeType varAdditionalCodeType = null;
        
         boolean hasParams = true;
         for (Object o : this.getRp().getBagOfObjects()) {
            
             if (o instanceof AdditionalCodeType) {
                 varAdditionalCodeType = (AdditionalCodeType) o;
             }
             
         }
          hasParams = hasParams && (varAdditionalCodeType == null);
        
         if (!hasParams) {
           return null;
         }

         RuleExecutionResult rer = new RuleExecutionResult();
         try {
           CT2_impl rule_CT2 = new CT2_impl();
           rer = rule_CT2.evaluate(varAdditionalCodeType);
         } catch (Exception e) {
           rer.setRuleSatisfied(false);
           Logger.getLogger(CT2.class.getName()).log(Level.SEVERE, null, e);
         } catch (Throwable t) {
           rer.setRuleSatisfied(false);
           Logger.getLogger(CT2.class.getName()).log(Level.SEVERE, null, t);
         }
        
         }
         return rer;
     }
}
