package com.eurodyn.ecdp.taric.validation.rules;

import gr.eurodyn.isee.rule.RuleExecutionResult;
import com.eurodyn.ecdp.taric.validation.utils.*;
import com.eurodyn.ecdp.taric.validation.implementation.*;
import java.util.List;
 import com.eurodyn.ecdp.taric.hyperjaxb.entities.DutyExpression;
          

/**
  * <p>
  * @version $Revision$
  * $Id$
  */
public class DE2 extends WrapperRule {

     @Override
     public RuleExecutionResult fire() {
          DutyExpression varDutyExpression = null;
        
         boolean hasParams = true;
         for (Object o : this.getRp().getBagOfObjects()) {
            
             if (o instanceof DutyExpression) {
                 varDutyExpression = (DutyExpression) o;
             }
             
         }
          hasParams = hasParams && (varDutyExpression == null);
        
         if (!hasParams) {
           return null;
         }

         RuleExecutionResult rer = new RuleExecutionResult();
         try {
           DE2_impl rule_DE2 = new DE2_impl();
           rer = rule_DE2.evaluate(varDutyExpression);
         } catch (Exception e) {
           rer.setRuleSatisfied(false);
           Logger.getLogger(DE2.class.getName()).log(Level.SEVERE, null, e);
         } catch (Throwable t) {
           rer.setRuleSatisfied(false);
           Logger.getLogger(DE2.class.getName()).log(Level.SEVERE, null, t);
         }
        
         }
         return rer;
     }
}
