package com.eurodyn.ecdp.taric.validation.rules;

import gr.eurodyn.isee.rule.RuleExecutionResult;
import com.eurodyn.ecdp.taric.validation.utils.*;
import com.eurodyn.ecdp.taric.validation.implementation.*;
import java.util.List;
 import com.eurodyn.ecdp.taric.hyperjaxb.entities.TODO;
           import com.eurodyn.ecdp.taric.hyperjaxb.entities.GeographicalArea;
          

/**
  * <p>
  * @version $Revision$
  * $Id$
  */
public class GA5 extends WrapperRule {

     @Override
     public RuleExecutionResult fire() {
          TODO varTODO = null;
         GeographicalArea varGeographicalArea = null;
        
         boolean hasParams = true;
         for (Object o : this.getRp().getBagOfObjects()) {
            
             if (o instanceof TODO) {
                 varTODO = (TODO) o;
             }
              
             if (o instanceof GeographicalArea) {
                 varGeographicalArea = (GeographicalArea) o;
             }
             
         }
          hasParams = hasParams && (varTODO == null);
         hasParams = hasParams && (varGeographicalArea == null);
        
         if (!hasParams) {
           return null;
         }

         RuleExecutionResult rer = new RuleExecutionResult();
         try {
           GA5_impl rule_GA5 = new GA5_impl();
           rer = rule_GA5.evaluate(varTODO,varGeographicalArea);
         } catch (Exception e) {
           rer.setRuleSatisfied(false);
           Logger.getLogger(GA5.class.getName()).log(Level.SEVERE, null, e);
         } catch (Throwable t) {
           rer.setRuleSatisfied(false);
           Logger.getLogger(GA5.class.getName()).log(Level.SEVERE, null, t);
         }
        
         }
         return rer;
     }
}
