package com.eurodyn.ecdp.taric.validation.rules;

import gr.eurodyn.isee.rule.RuleExecutionResult;
import com.eurodyn.ecdp.taric.validation.utils.*;
import com.eurodyn.ecdp.taric.validation.implementation.*;
import java.util.List;
 import com.eurodyn.ecdp.taric.hyperjaxb.entities.Language;
          

/**
  * <p>
  * @version $Revision$
  * $Id$
  */
public class LA3 extends WrapperRule {

     @Override
     public RuleExecutionResult fire() {
          Language varLanguage = null;
        
         boolean hasParams = true;
         for (Object o : this.getRp().getBagOfObjects()) {
            
             if (o instanceof Language) {
                 varLanguage = (Language) o;
             }
             
         }
          hasParams = hasParams && (varLanguage == null);
        
         if (!hasParams) {
           return null;
         }

         RuleExecutionResult rer = new RuleExecutionResult();
         try {
           LA3_impl rule_LA3 = new LA3_impl();
           rer = rule_LA3.evaluate(varLanguage);
         } catch (Exception e) {
           rer.setRuleSatisfied(false);
           Logger.getLogger(LA3.class.getName()).log(Level.SEVERE, null, e);
         } catch (Throwable t) {
           rer.setRuleSatisfied(false);
           Logger.getLogger(LA3.class.getName()).log(Level.SEVERE, null, t);
         }
        
         }
         return rer;
     }
}
