package com.eurodyn.ecdp.taric.validation.rules;

import gr.eurodyn.isee.rule.RuleExecutionResult;
import com.eurodyn.ecdp.taric.validation.utils.*;
import com.eurodyn.ecdp.taric.validation.implementation.*;
import java.util.List;
 import com.eurodyn.ecdp.taric.services.MeasurementService;
           import com.eurodyn.ecdp.taric.hyperjaxb.entities.Measurement;
          

/**
  * <p>
  * @version $Revision$
  * $Id$
  */
public class MENT1 extends WrapperRule {

     @Override
     public RuleExecutionResult fire() {
          MeasurementService varMeasurementService = null;
         Measurement varMeasurement = null;
        
         boolean hasParams = true;
         for (Object o : this.getRp().getBagOfObjects()) {
            
             if (o instanceof MeasurementService) {
                 varMeasurementService = (MeasurementService) o;
             }
              
             if (o instanceof Measurement) {
                 varMeasurement = (Measurement) o;
             }
             
         }
          hasParams = hasParams && (varMeasurementService == null);
         hasParams = hasParams && (varMeasurement == null);
        
         if (!hasParams) {
           return null;
         }

         RuleExecutionResult rer = new RuleExecutionResult();
         try {
           MENT1_impl rule_MENT1 = new MENT1_impl();
           rer = rule_MENT1.evaluate(varMeasurementService,varMeasurement);
         } catch (Exception e) {
           rer.setRuleSatisfied(false);
           Logger.getLogger(MENT1.class.getName()).log(Level.SEVERE, null, e);
         } catch (Throwable t) {
           rer.setRuleSatisfied(false);
           Logger.getLogger(MENT1.class.getName()).log(Level.SEVERE, null, t);
         }
        
         }
         return rer;
     }
}
