package com.eurodyn.ecdp.taric.validation.rules;

import gr.eurodyn.isee.rule.RuleExecutionResult;
import com.eurodyn.ecdp.taric.validation.utils.*;
import com.eurodyn.ecdp.taric.validation.implementation.*;
import java.util.List;
 import com.eurodyn.ecdp.taric.hyperjaxb.entities.Measurement;
          

/**
  * <p>
  * @version $Revision$
  * $Id$
  */
public class MENT6 extends WrapperRule {

     @Override
     public RuleExecutionResult fire() {
          Measurement varMeasurement = null;
        
         boolean hasParams = true;
         for (Object o : this.getRp().getBagOfObjects()) {
            
             if (o instanceof Measurement) {
                 varMeasurement = (Measurement) o;
             }
             
         }
          hasParams = hasParams && (varMeasurement == null);
        
         if (!hasParams) {
           return null;
         }

         RuleExecutionResult rer = new RuleExecutionResult();
         try {
           MENT6_impl rule_MENT6 = new MENT6_impl();
           rer = rule_MENT6.evaluate(varMeasurement);
         } catch (Exception e) {
           rer.setRuleSatisfied(false);
           Logger.getLogger(MENT6.class.getName()).log(Level.SEVERE, null, e);
         } catch (Throwable t) {
           rer.setRuleSatisfied(false);
           Logger.getLogger(MENT6.class.getName()).log(Level.SEVERE, null, t);
         }
        
         }
         return rer;
     }
}
