package com.eurodyn.ecdp.taric.validation.rules;

import gr.eurodyn.isee.rule.RuleExecutionResult;
import com.eurodyn.ecdp.taric.validation.utils.*;
import com.eurodyn.ecdp.taric.validation.implementation.*;
import java.util.List;
 import com.eurodyn.ecdp.taric.hyperjaxb.entities.MeasureType;
          

/**
  * <p>
  * @version $Revision$
  * $Id$
  */
public class MT2 extends WrapperRule {

     @Override
     public RuleExecutionResult fire() {
          MeasureType varMeasureType = null;
        
         boolean hasParams = true;
         for (Object o : this.getRp().getBagOfObjects()) {
            
             if (o instanceof MeasureType) {
                 varMeasureType = (MeasureType) o;
             }
             
         }
          hasParams = hasParams && (varMeasureType == null);
        
         if (!hasParams) {
           return null;
         }

         RuleExecutionResult rer = new RuleExecutionResult();
         try {
           MT2_impl rule_MT2 = new MT2_impl();
           rer = rule_MT2.evaluate(varMeasureType);
         } catch (Exception e) {
           rer.setRuleSatisfied(false);
           Logger.getLogger(MT2.class.getName()).log(Level.SEVERE, null, e);
         } catch (Throwable t) {
           rer.setRuleSatisfied(false);
           Logger.getLogger(MT2.class.getName()).log(Level.SEVERE, null, t);
         }
        
         }
         return rer;
     }
}
