package com.eurodyn.ecdp.taric.validation.rules;

import gr.eurodyn.isee.rule.RuleExecutionResult;
import com.eurodyn.ecdp.taric.validation.utils.*;
import com.eurodyn.ecdp.taric.validation.implementation.*;
import java.util.List;
 import com.eurodyn.ecdp.taric.services.MeasureTypeSeriesService;
           import com.eurodyn.ecdp.taric.hyperjaxb.entities.MeasureTypeSeries;
          

/**
  * <p>
  * @version $Revision$
  * $Id$
  */
public class MTS1 extends WrapperRule {

     @Override
     public RuleExecutionResult fire() {
          MeasureTypeSeriesService varMeasureTypeSeriesService = null;
         MeasureTypeSeries varMeasureTypeSeries = null;
        
         boolean hasParams = true;
         for (Object o : this.getRp().getBagOfObjects()) {
            
             if (o instanceof MeasureTypeSeriesService) {
                 varMeasureTypeSeriesService = (MeasureTypeSeriesService) o;
             }
              
             if (o instanceof MeasureTypeSeries) {
                 varMeasureTypeSeries = (MeasureTypeSeries) o;
             }
             
         }
          hasParams = hasParams && (varMeasureTypeSeriesService == null);
         hasParams = hasParams && (varMeasureTypeSeries == null);
        
         if (!hasParams) {
           return null;
         }

         RuleExecutionResult rer = new RuleExecutionResult();
         try {
           MTS1_impl rule_MTS1 = new MTS1_impl();
           rer = rule_MTS1.evaluate(varMeasureTypeSeriesService,varMeasureTypeSeries);
         } catch (Exception e) {
           rer.setRuleSatisfied(false);
           Logger.getLogger(MTS1.class.getName()).log(Level.SEVERE, null, e);
         } catch (Throwable t) {
           rer.setRuleSatisfied(false);
           Logger.getLogger(MTS1.class.getName()).log(Level.SEVERE, null, t);
         }
        
         }
         return rer;
     }
}
