package com.eurodyn.ecdp.taric.validation.rules;

import gr.eurodyn.isee.rule.RuleExecutionResult;
import com.eurodyn.ecdp.taric.validation.utils.*;
import com.eurodyn.ecdp.taric.validation.implementation.*;
import java.util.List;
 import com.eurodyn.ecdp.taric.services.GoodsNomenGrpService;
           import com.eurodyn.ecdp.taric.hyperjaxb.entities.GoodsNomenclatureGroup;
          

/**
  * <p>
  * @version $Revision$
  * $Id$
  */
public class NG1 extends WrapperRule {

     @Override
     public RuleExecutionResult fire() {
          GoodsNomenGrpService varGoodsNomenGrpService = null;
         GoodsNomenclatureGroup varGoodsNomenclatureGroup = null;
        
         boolean hasParams = true;
         for (Object o : this.getRp().getBagOfObjects()) {
            
             if (o instanceof GoodsNomenGrpService) {
                 varGoodsNomenGrpService = (GoodsNomenGrpService) o;
             }
              
             if (o instanceof GoodsNomenclatureGroup) {
                 varGoodsNomenclatureGroup = (GoodsNomenclatureGroup) o;
             }
             
         }
          hasParams = hasParams && (varGoodsNomenGrpService == null);
         hasParams = hasParams && (varGoodsNomenclatureGroup == null);
        
         if (!hasParams) {
           return null;
         }

         RuleExecutionResult rer = new RuleExecutionResult();
         try {
           NG1_impl rule_NG1 = new NG1_impl();
           rer = rule_NG1.evaluate(varGoodsNomenGrpService,varGoodsNomenclatureGroup);
         } catch (Exception e) {
           rer.setRuleSatisfied(false);
           Logger.getLogger(NG1.class.getName()).log(Level.SEVERE, null, e);
         } catch (Throwable t) {
           rer.setRuleSatisfied(false);
           Logger.getLogger(NG1.class.getName()).log(Level.SEVERE, null, t);
         }
        
         }
         return rer;
     }
}
