package com.eurodyn.ecdp.taric.validation.rules;

import gr.eurodyn.isee.rule.RuleExecutionResult;
import com.eurodyn.ecdp.taric.validation.utils.*;
import com.eurodyn.ecdp.taric.validation.implementation.*;
import java.util.List;
 import com.eurodyn.ecdp.taric.services.AddCodeTypeService;
           import com.eurodyn.ecdp.taric.hyperjaxb.entities.GoodsNomenclatureGroup;
          

/**
  * <p>
  * @version $Revision$
  * $Id$
  */
public class NG4 extends WrapperRule {

     @Override
     public RuleExecutionResult fire() {
          AddCodeTypeService varAddCodeTypeService = null;
         GoodsNomenclatureGroup varGoodsNomenclatureGroup = null;
        
         boolean hasParams = true;
         for (Object o : this.getRp().getBagOfObjects()) {
            
             if (o instanceof AddCodeTypeService) {
                 varAddCodeTypeService = (AddCodeTypeService) o;
             }
              
             if (o instanceof GoodsNomenclatureGroup) {
                 varGoodsNomenclatureGroup = (GoodsNomenclatureGroup) o;
             }
             
         }
          hasParams = hasParams && (varAddCodeTypeService == null);
         hasParams = hasParams && (varGoodsNomenclatureGroup == null);
        
         if (!hasParams) {
           return null;
         }

         RuleExecutionResult rer = new RuleExecutionResult();
         try {
           NG4_impl rule_NG4 = new NG4_impl();
           rer = rule_NG4.evaluate(varAddCodeTypeService,varGoodsNomenclatureGroup);
         } catch (Exception e) {
           rer.setRuleSatisfied(false);
           Logger.getLogger(NG4.class.getName()).log(Level.SEVERE, null, e);
         } catch (Throwable t) {
           rer.setRuleSatisfied(false);
           Logger.getLogger(NG4.class.getName()).log(Level.SEVERE, null, t);
         }
        
         }
         return rer;
     }
}
