package com.eurodyn.ecdp.taric.validation.rules;

import gr.eurodyn.isee.rule.RuleExecutionResult;
import com.eurodyn.ecdp.taric.validation.utils.*;
import com.eurodyn.ecdp.taric.validation.implementation.*;
import java.util.List;
 import com.eurodyn.ecdp.taric.services.RegulationGroupService;
           import com.eurodyn.ecdp.taric.hyperjaxb.entities.RegulationGroup;
          

/**
  * <p>
  * @version $Revision$
  * $Id$
  */
public class RG1 extends WrapperRule {

     @Override
     public RuleExecutionResult fire() {
          RegulationGroupService varRegulationGroupService = null;
         RegulationGroup varRegulationGroup = null;
        
         boolean hasParams = true;
         for (Object o : this.getRp().getBagOfObjects()) {
            
             if (o instanceof RegulationGroupService) {
                 varRegulationGroupService = (RegulationGroupService) o;
             }
              
             if (o instanceof RegulationGroup) {
                 varRegulationGroup = (RegulationGroup) o;
             }
             
         }
          hasParams = hasParams && (varRegulationGroupService == null);
         hasParams = hasParams && (varRegulationGroup == null);
        
         if (!hasParams) {
           return null;
         }

         RuleExecutionResult rer = new RuleExecutionResult();
         try {
           RG1_impl rule_RG1 = new RG1_impl();
           rer = rule_RG1.evaluate(varRegulationGroupService,varRegulationGroup);
         } catch (Exception e) {
           rer.setRuleSatisfied(false);
           Logger.getLogger(RG1.class.getName()).log(Level.SEVERE, null, e);
         } catch (Throwable t) {
           rer.setRuleSatisfied(false);
           Logger.getLogger(RG1.class.getName()).log(Level.SEVERE, null, t);
         }
        
         }
         return rer;
     }
}
