package com.eurodyn.ecdp.taric.validation.rules;

import gr.eurodyn.isee.rule.RuleExecutionResult;
import com.eurodyn.ecdp.taric.validation.utils.*;
import com.eurodyn.ecdp.taric.validation.implementation.*;
import java.util.List;
 import com.eurodyn.ecdp.taric.hyperjaxb.entities.RegulationRoleType;
          

/**
  * <p>
  * @version $Revision$
  * $Id$
  */
public class RT5 extends WrapperRule {

     @Override
     public RuleExecutionResult fire() {
          RegulationRoleType varRegulationRoleType = null;
        
         boolean hasParams = true;
         for (Object o : this.getRp().getBagOfObjects()) {
            
             if (o instanceof RegulationRoleType) {
                 varRegulationRoleType = (RegulationRoleType) o;
             }
             
         }
          hasParams = hasParams && (varRegulationRoleType == null);
        
         if (!hasParams) {
           return null;
         }

         RuleExecutionResult rer = new RuleExecutionResult();
         try {
           RT5_impl rule_RT5 = new RT5_impl();
           rer = rule_RT5.evaluate(varRegulationRoleType);
         } catch (Exception e) {
           rer.setRuleSatisfied(false);
           Logger.getLogger(RT5.class.getName()).log(Level.SEVERE, null, e);
         } catch (Throwable t) {
           rer.setRuleSatisfied(false);
           Logger.getLogger(RT5.class.getName()).log(Level.SEVERE, null, t);
         }
        
         }
         return rer;
     }
}
